unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VCLTee.TeEngine,
  VCLTee.Series, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: THorizBarSeries;
    procedure FormCreate(Sender: TObject);
    procedure Chart1AfterDraw(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Chart1AfterDraw(Sender: TObject);
begin
  with Chart1.Canvas do
  begin
    Pen.Color:=clBlack;
    Pen.Width:=2;
    HorizLine3D(10,Chart1.Width-10,Chart1.ChartRect.Top,0);
    HorizLine3D(10,Chart1.Width-10,Chart1.Axes.Bottom.PosAxis+1,0);
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  I: Integer;
  lValue: Double;
begin
  Series1.Clear;
  Chart1.LeftAxis.LabelsFormat.TextFormat := ttfHtml;
  for I := 1 to 5 do begin
    lValue := Random(100);
    Series1.AddBar(lValue, Format('Item #%d%s<b>%.0m</b>', [I, sLineBreak, lValue]), clTeeColor);
  end;

  Chart1.Axes.Bottom.Axis.Hide;
end;

end.
